# Package

version       = "4.29.1"
author        = "Jonathan Bernard"
description   = "Personal issue tracker."
license       = "MIT"
srcDir        = "src"
installExt    = @["nim"]
bin           = @["pit"]

# Dependencies

requires @[
  "nim >= 1.4.0",
  "docopt >= 0.7.1",
  "uuids >= 0.1.10",
  "zero_functional"
]

# Dependencies from git.jdb-software.com/jdb/nim-packages
requires @[
  "cliutils >= 0.9.1",
  "langutils >= 0.4.0",
  "timeutils >= 0.5.4",
  "data_uri > 1.0.0",
  "update_nim_package_version >= 0.2.0"
]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version pit 'src/pit/cliconstants.nim'"
